> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/entitlements/update#auth).

<br />

**Deprecated:** New integrations cannot use this method and can refer to our [new
recommendations](https://developers.google.com/android/work/deprecations#recommended_alternative_2).  
**This method will no longer be accessible by
anyone after September 30, 2025.** Adds or updates an entitlement to an app for a user.

<br />

## Request

### HTTP request

```
PUT https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/users/userId/entitlements/entitlementId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `entitlementId` | `string` | The ID of the entitlement (a product ID), e.g. "app:com.google.android.gm". |
| `userId` | `string` | The ID of the user. |
| **Optional query parameters** |||
| `install` | `boolean` | Set to true to also install the product on all the user's devices where possible. Failure to install on one or more devices will not prevent this operation from returning successfully, as long as the entitlement was successfully assigned to the user. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

In the request body, supply an [Entitlements resource](https://developers.google.com/android/work/play/emm-api/v1/entitlements#resource).

## Response

If successful, this method returns an [Entitlements resource](https://developers.google.com/android/work/play/emm-api/v1/entitlements#resource) in the response body.